package com.wechat.model.dto;

import java.util.Date;

import org.apache.commons.lang.StringEscapeUtils;
import org.nutz.dao.entity.annotation.Comment;

import com.wechat.common.utils.DateUtils;


public class ActivityInfoDto {

	//活动简介_中文
    private String actIntroductionCn;
    //活动简介_英文
    private String actIntroductionEn;
    //活动规则_中文
    private String actRuleCn;
    //活动规则_英文
    private String actRuleEn;
    
    //活动规则_英文
    private String stopTime;
    
	public String getActIntroductionCn() {
		return actIntroductionCn;
	}
	public void setActIntroductionCn(String actIntroductionCn) {
		actIntroductionCn = StringEscapeUtils.unescapeHtml(actIntroductionCn);
		this.actIntroductionCn =actIntroductionCn.replace("\r\n","<br/>");
	}
	public String getActIntroductionEn() {
		return actIntroductionEn;
	}
	public void setActIntroductionEn(String actIntroductionEn) {
		actIntroductionEn = StringEscapeUtils.unescapeHtml(actIntroductionEn);
		this.actIntroductionEn =actIntroductionEn.replace("\r\n","<br/>");
	}
	public String getActRuleCn() {
		return actRuleCn;
	}
	public void setActRuleCn(String actRuleCn) {
		actRuleCn = StringEscapeUtils.unescapeHtml(actRuleCn);
		this.actRuleCn = actRuleCn.replace("\r\n","<br/>");
	}
	public String getActRuleEn() {
		return actRuleEn;
	}
	public void setActRuleEn(String actRuleEn) {
		actRuleEn = StringEscapeUtils.unescapeHtml(actRuleEn);
		this.actRuleEn = actRuleEn.replace("\r\n","<br/>");
	}
	
	public String getStopTime() {
		return stopTime;
	}
	public void setStopTime(Date stopTime) {
		this.stopTime = DateUtils.dateToString(stopTime,DateUtils.PATTEN_YMD);
	}
}
